
TYPO3.TypoScript - Bug # 57465

Status: Resolved Priority: Must have
Author: Benno Weinzierl Category:
Created: 2014-03-31 Assigned To: Benno Weinzierl
Updated: 2014-04-03 Due date:
Subject: Fatal Error in ContentCache on PHP 5.3
Description

In Ubuntu Presice with PHP 5.3 the following Error occures (after some requests in backend).

Fatal error: Cannot access self:: when no class scope is active in
/project/Data/Temporary/Development/SubContextVagrantBox/Cache/Code/Flow_Object_Classes/TYPO3_TypoScript_Core_Cache_ContentCache.php on line 218 

ache_ContentCache.php on line 218 

Patch will follow...

Associated revisions
Revision 2e859b1c - 2014-04-03 09:58 - Benno Weinzierl

[BUGFIX] Fixes Incompatibility with PHP 5.3

Replaced call to self:: in an anonymous function to prevent PHP 5.3
from throwing a Fatal Error (Cannot access self:: when no class scope
is active).

Change-Id: I22345eb03d8204785967020602be9646bebebf07
Resolves: #57465
Releases: 1.1, master
Reviewed-on: https://review.typo3.org/28990
Reviewed-by: Benno Weinzierl
Tested-by: Benno Weinzierl
Reviewed-by: Soren Malling
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

Revision 0c36c32d - 2014-04-03 09:59 - Benno Weinzierl

[BUGFIX] Fixes Incompatibility with PHP 5.3

Replaced call to self:: in an anonymous function to prevent PHP 5.3
from throwing a Fatal Error (Cannot access self:: when no class scope
is active).

Change-Id: I22345eb03d8204785967020602be9646bebebf07
Resolves: #57465
Releases: 1.1, master
Reviewed-on: https://review.typo3.org/29108
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

History
#1 - 2014-03-31 18:51 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.TypoScript has been pushed to the review server.
It is available at https://review.typo3.org/28990

#2 - 2014-03-31 20:01 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.TypoScript has been pushed to the review server.
It is available at https://review.typo3.org/28990

#3 - 2014-04-01 19:25 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.TypoScript has been pushed to the review server.
It is available at https://review.typo3.org/28990

#4 - 2014-04-03 09:59 - Gerrit Code Review

Patch set 1 for branch 1.1 of project Packages/TYPO3.TypoScript has been pushed to the review server.
It is available at https://review.typo3.org/29108

#5 - 2014-04-03 09:59 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
